import {
  scaleOrdinal
} from 'd3';


export default function render(selection, fruits){ 
  
  const width = +selection.attr('width');
	const height = +selection.attr('height');
  
	const colorScale = scaleOrdinal()
	.domain(['orange', 'lemon'])
	.range(['#f77b07', '#f7f307']);

  const radiusScale = scaleOrdinal()
    .domain(['orange', 'lemon'])
    .range([70, 40]);
  
  
  const xPosition = (d, i) => i * 150 + 100;
  const yPosition = height/2;

  const groups = selection.selectAll('g')
    .data(fruits, (d, i) => d.id);

  const groupsEnter = groups
  	.enter()  
    .append('g');
    //.attr('transform', (d, i) => `translate(${xPosition(d,i)}, ${yPosition})`);
  	
  groupsEnter.append('circle');
  
  const renderCircles = () => {
    groupsEnter
    .merge(groups)
  	.attr('transform', (d, i) => `translate(${xPosition(d,i)}, ${yPosition})`)
  	.select('circle')
    .transition()
    .duration(1000)
    .attr('r', d => radiusScale(d.type))
    .attr('fill', d => colorScale(d.type));
  }
  
  if(groups.exit().empty()){  
  	renderCircles();
  }

  groups.exit().select('circle')
    .transition()
    .duration(1000)
    .attr('r', 0)
  	.end()
  	.then(() => {
    	groups.exit().remove();
    	renderCircles();
  	});
  
  
  groupsEnter
  	.append('text')
  	.attr('y', 100)
  	.merge(groups.select('text'))
  	.text(d => d.type)
}