'use strict';

import {
  select,
  range
} from 'd3';

import fruitBowl from './fruitBowl.js';

const svg = select('svg');

const makeFruit = (type) => ({
  id: Math.random(),
  type: type
});

let fruits = range(5)
	.map(() => makeFruit('orange'));

fruits.push({type:'lemon'});

const render = fruitBowl.bind(null, svg, fruits);

render();

setTimeout(() => {
  fruits.pop();
  render();
}, 1500);

setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 3000);

setTimeout(() => {
  fruits.splice(2, 1)
  render();
}, 4500);
